#
# spec file for package kinput2 (Version v3.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  canna canna-devel canna-libs fwnndev x-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils canna canna-devel canna-libs expat fontconfig fontconfig-devel fwnndev gcc gdbm gettext libtool perl rpm

Name:           kinput2
License:        Other License(s), see package
Group:          System/I18n/Japanese
Autoreqprov:    on
Version:        v3.1
Release:        315.11
# URL: 
Source0:        ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-v3.1.tar.bz2
Patch0:         kinput2.app-defaults.patch
Patch1:         Kinput2.conf.patch
Patch2:         kinput2.man-page.patch
Patch3:         %{name}-v3.1-beta3.dif
Patch4:         %{name}-v3.1-beta3-java.dif
Patch5:         kinput2-v3.1-rootwindow-1.patch
Patch6:         reset_state.patch
Patch9:         bugzilla-47203-keep-auxiliary-windows-on-top.patch
Patch10:        bugzilla-63978-hoge.patch
Patch11:        bugzilla-62553-spotlocation.patch
Patch14:        bugzilla-137396-cannot-work-after-specific-function-calls.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        kanji input server for X11
# Summary(ja): X用日本語入力サーバ
# %description -l ja
# Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。

%description
Kinput2 is an input server for X11 applications that want Japanese text
input.



Authors:
--------
    Makoto Ishisone <ishisone@sra.co.jp>

%prep
%setup0 -n %{name}-v3.1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# doesn't help for this version of kinput2, Java problem still exists.
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch14 -p1
head -n 21 cmd/kinput2.c > Copyright

%build
# update config.{guess,sub}
%{?suse_update_config}
# edit Kinput2.conf here ...
#sed -e 's/#define UseSj3/#undef UseSj3/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
#sed -e 's/\/\* #define UseWnn \*\//#define UseWnn/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
xmkmf 
make Makefiles
make depend
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make install DESTDIR=$RPM_BUILD_ROOT
make install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc Copyright NEWS README doc
%doc -P client/README
/usr/X11R6/bin/kinput2
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/man/man1/kinput2.1*
%dir /usr/X11R6/lib/X11/ccdef/
/usr/X11R6/lib/X11/ccdef/*

%changelog
* Tue Mar 06 2007 - mfabian@suse.de
- Bugzilla #137396: "LTC20105-kinput2 cannot work after specific
  function calls": fixed by patch received from Shoji SUGIYAMA
  from IBM.
* Thu May 19 2005 - mfabian@suse.de
- Bugzilla #62553: "LTC11323-kinput2 may not handle spot location
  properly on Motif": add patch by Jiro SEKIBA <sekiba@jp.ibm.com>.
* Tue Apr 26 2005 - mfabian@suse.de
- Bugzilla #63978: "LTC12852-kinput2 doesn't update its status
  description after XmbResetIC": add patch by <ksampei@jp.ibm.com>.
* Sat Oct 16 2004 - mfabian@suse.de
- Bugzilla #47203: "LTC11198-Unexpected window overlap order on
  KDE". Fixed with patch created by IBM.
* Fri Apr 02 2004 - mfabian@suse.de
- Bugzilla #35697:
  "LTC6518-kinput2 doesn't work properly for XmbResetIC() with
  XIMInitialState"
  apply patch received from IBM.
* Fri Feb 20 2004 - mfabian@suse.de
- Bugzilla #34752: don't allow to close the candidate window
  with the close button of the window manager.
  Thanks to Mitsuru Chinen <mchinen@yamato.ibm.com>
* Fri Jun 13 2003 - mfabian@suse.de
- fix "directory not owned by any package".
* Thu Nov 14 2002 - mfabian@suse.de
- remove Epoch tag. I added this because the version changed
  from v3.1beta4 to v3.1, but it looks like using Epoch because
  of that is not a good idea.
* Wed Oct 23 2002 - mfabian@suse.de
- update to v3.1
* Sun Aug 11 2002 - mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
  xf86 -> x-devel-packages
* Fri Aug 02 2002 - mfabian@suse.de
- update to v3.1-beta4:
  * A bug in destroying IC, which is introduced by the previous
  beta and causes some clients core dump is fixed.
* Mon Mar 11 2002 - mfabian@suse.de
- change app-defaults to avoid input focus for the
  "SeparateConversion", "selectionShell", and "auxShell" widgets.
  These windows should never get focus, it just causes problems
  when they do.
* Sat Jan 19 2002 - mfabian@suse.de
- updated to v3.1-beta3
* Mon Sep 24 2001 - mfabian@suse.de
- change the default keybindings for kinput2/Wnn to use
  ccdef.kinput2.egg. User feedback seems to indicate that nobody
  likes the "default default" keybindings from ccdef.kinput2
  (I don't like them either). The keybindings defined in
  ccdef.kinput2.egg are much more similar to the behaviour
  of other input methods like kinput2/Canna etc., therefore they
  seem to more natural for most people.
- fix the man-page to mention the new default.
* Thu Sep 06 2001 - mfabian@suse.de
- fix "too few arguments to function `jl_kanji_len'"
  (was always wrong, but went unnoticed until <schwab@suse.de>
  fixed some stuff in FreeWnn.
- remove warnings (passing incompatible pointer type etc.)
* Fri Aug 10 2001 - mfabian@suse.de
- updated to v3.1-beta2
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Wed Nov 01 2000 - mfabian@suse.de
- added support for wnn.
* Fri Jul 14 2000 - mfabian@suse.de
- new package: kinput2, Version v3.1 alpha1
